org.deidentifier.arx.test

## Class TestDataStatistics

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestDataStatistics

    public class TestDataStatistics
    extends AbstractTest

Test class for data statistics

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestDataStatistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testContingency1()` Performs a test.
`void` `testContingency2()` Performs a test.
`void` `testDistribution1()` Performs a test.
`void` `testDistribution2()` Performs a test.

### Methods inherited from class org.deidentifier.arx.test.AbstractTest

`setUp`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDataStatistics

    public TestDataStatistics()

### Method Detail

#### testContingency1

    public void testContingency1()
                          throws java.lang.IllegalArgumentException,
                                 java.io.IOException

Performs a test.

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testContingency2

    public void testContingency2()
                          throws java.lang.IllegalArgumentException,
                                 java.io.IOException

Performs a test.

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testDistribution1

    public void testDistribution1()
                           throws java.lang.IllegalArgumentException,
                                  java.io.IOException

Performs a test.

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testDistribution2

    public void testDistribution2()
                           throws java.lang.IllegalArgumentException,
                                  java.io.IOException

Performs a test.

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`